/*
 * Automovel.java
 * 
 * Última modificação: 20/08/2016 
 * 
 * Material utilizado na disciplina MC322 - Programação Orientada a Objetos
 */

/**
 *  Esta classe contém a estrutura de implementação de um Automovel em um exemplo Automovel-tem-Motor
 *  Relaciona-se com a classe Motor
 */
public class Automovel
{
	private String modelo;
	private short ano;
	private Motor motor;  
	
	public Automovel(String mod, short a, Motor mot) {
    	modelo = mod;
    	ano = a;
    	motor = mot;  
	}
	
	public String getModelo() {
		return modelo;
	}
	
	public short getAno() {
		return ano;
	}
	
	public Motor getMotor() {
		return motor;
	}
	
	/*   @Override   */
	public String toString() {
		String out = " "; 
		out += "Modelo: "+ getModelo(); 
		out += ", Ano: " + getAno(); 
		out += motor;
		return out; 
    }
}