/*
 * TesteArray.java
 * 
 * Última modificação: 20/08/2016 
 * 
 * Material utilizado na disciplina MC322 - Programação Orientada a Objetos
 */

import java.util.ArrayList;

/**
 *  Classe utilizada para exemplificar o uso da classe ArrayList
 */
public class TesteArray {
	public static void main(String[] args) {

		/* Cria um array de Strings - tamanho default inicial de 10  */
		ArrayList<String> v = new ArrayList<String>(); 
	
		String nome1 = "Harry";
		String nome2 = "Hermione";
		String nome3 = "Rony";
		
		/* Adiciona Strings ao array */
		v.add(nome1);
		v.add(nome2);
		v.add(nome3);
		v.add("Malfoy");
		
		/* Invoca o método toString to ArrayList */
		System.out.println(v); 										// saída: [Harry, Hermione, Rony, Malfoy]
		System.out.println("Tamanho atual da lista: " + v.size());  // saída: Tamanho atual da lista: 4 
		String segundo = v.get(1);  								// resultado da atribuição: Hermione
		v.remove(1);												// remove elemento do array da posição 1
		String terceiro = v.get(2); 								// resultado da atribuição: Malfoy
		System.out.printf("Hermione %sestá na lista\n", v.contains("Hermione") ? "" : "não ");
		System.out.printf("Harry %sestá na lista\n", v.contains("Harry") ? "" : "não ");
		for(int elemento=0;elemento<v.size();elemento++) {
		  System.out.println((elemento+1)+" -> "+v.get(elemento));  
		}
		String ultimo = (String)v.get(v.size());					// Gera exceção pois o ArrayList está indexado de 0 a size()-1
	}
} 