/*
 * TesteEvento.java
 * 
 * Última modificação: 20/08/2016 
 * 
 * Material utilizado na disciplina MC322 - Programação Orientada a Objetos
 */


/**
 *  Classe utilizada para instaciar objetos da classe Data e Evento
 *  Usa as classes Data.java e Evento.java
 */
public class TesteEvento {
	public static void main(String[] args) {
		
		/* Cria um novo objeto evento já indicando uma data inicial, visto que isso é requerido pela lógica de negócio do sistema */
    	Evento encontro = new Evento("MDCVI Encontro de Pessoas que Realmente "+
                	 	  "Usam Todos os Diagramas de UML", new Data((byte)1,(byte)4,(short)2016));
		/* Adiciona novas datas ao evento  */
    	encontro.marcaDiaAdicional(new Data((byte)2,(byte)4,(short)2016));  
    	encontro.marcaDiaAdicional(new Data((byte)3,(byte)4,(short)2016));  
    	encontro.marcaDiaAdicional(new Data((byte)4,(byte)4,(short)2016));  

		/* Invoca o método toString de Evento  */
    	System.out.println(encontro);
	}
}
