/*
 * Aluno.java
 * 
 * Última modificação: 20/08/2016 
 * 
 * Material utilizado na disciplina MC322 - Programação Orientada a Objetos
 */

import java.util.ArrayList;

/**
 *  Esta classe contém a estrutura de implementação de um Aluno em um exemplo Aluno-cursa-Disciplinas
 *  Relaciona-se com a classe Disciplina
 */
public class Aluno
{
	private int matricula;
	private ArrayList<Disciplina> disciplinas;

	public Aluno(int m) 
	{
		matricula = m; 
		disciplinas = new ArrayList<Disciplina>();
	}
	
	public int getMatricula() 
	{
		return matricula;
	}
	
	public void matricula(Disciplina d) 
	{
		disciplinas.add(d);  
	}

	/*   @Override   */
	public String toString() 
	{
		String out = ""; 
		out += "Aluno com matrícula # "+ getMatricula() + " está matriculado nas disciplinas:\n"; 
		for(int i=0; i<disciplinas.size(); i++) {			
			Disciplina umaDisciplina = disciplinas.get(i);
			out += "  * " + umaDisciplina + "\n";
		}
		return out; 
	}
}