/*
 * Item.java
 * 
 * Última modificação: 20/08/2016 
 * 
 * Material utilizado na disciplina MC322 - Programação Orientada a Objetos
 */

/**
 *  Esta classe contém a estrutura de implementação de um Item 
 */
public class Item
{
	private int codigo;				// propriedade codigo
	private int quantidade;			// propriedade quantidade em estoque
	private float precoUnitario;	// propriedade preço por unidade
  
	public Item(int cod, int quant, float preco) {
    	codigo = cod; 
		quantidade = quant; 
		precoUnitario = preco;
    }
	
	public int getCodigo() {
		return codigo;
	}
	
	public int getQuantidade() {
		return quantidade;
	}
	
	public float getPreco() {
		return precoUnitario;
	}
	
	/*  @Override  */
	public String toString() {
		String out = " "; 
		out += "Item: \n Código: "+ getCodigo(); 
		out += ", "+ getQuantidade() + " unidades a R$" + getPreco() + " cada."; 
		return out; 
    }
	
	public float custoTotal() {
    	return getQuantidade()* getPreco();      
    }
}
