/*
 * Motor.java
 * 
 * Última modificação: 20/08/2016 
 * 
 * Material utilizado na disciplina MC322 - Programação Orientada a Objetos
 */

/**
 *  Esta classe contém a estrutura de implementação de um Motor 
 */
public class Motor 
{ 
	private float potencia; 			// propriedade potência do motor
	private String combustivel;			// propriedade combustível do motor
	
	public Motor(float pot,String comb) { 
		potencia = pot; 
		combustivel = comb; 
	} 
	
	public float getPotencia() { 
		return potencia; 
	} 
	
	public String getCombustivel() { 
		return combustivel; 
	}
	
	/*  @Override  */
	public String toString() 
	{ 
		String out = " "; 
		out += "Potência: " + getPotencia(); 
		out += ", Combustível:" + getCombustivel(); 
		return out; 
	} 
}
