/*
 * TesteAutomovel.java
 * 
 * Última modificação: 20/08/2016 
 * 
 * Material utilizado na disciplina MC322 - Programação Orientada a Objetos
 */


/**
 *  Classe utilizada para instaciar objetos da classe Motor e Automóvel
 *  Usa as classes Motor.java e Automovel.java
 */
public class TesteAutomovel {
	public static void main(String[] args) {
		
		/* Cria um novo objeto motor  */
		Motor motFusca = new Motor(47f,"gasolina");  
		/*  Cria um novo objeto carro, associando ao carro o motor anteriormente criado */
		Automovel fusca66 = new Automovel("Fusca", (short)1966, motFusca); 
 	    /* Invoca o método toString do automóvel */
		System.out.println(fusca66); 
    
		/* Cria um novo objeto carro, associando ao carro o objeto motor implicitamente criado */
		/* Qual a principal diferença entre estas duas declarações? */
		Automovel beetle2002 = new Automovel("New Beetle",(short)2002,new Motor(150f,"gasolina"));
 	    /* Invoca o método toString do automóvel  */
		System.out.println(beetle2002); 
	}
} 
