/*
 * TestePedido.java
 * 
 * Última modificação: 20/08/2016 
 * 
 * Material utilizado na disciplina MC322 - Programação Orientada a Objetos
 */


/**
 *  Classe utilizada para instaciar objetos da classe Data, Item e Pedido
 *  Utiliza as classes Data.java, Pedido.java e Item.java
 */
public class TestePedido {
	public static void main(String[] args) {

		/* Cria uma nova data */
    	Data hoje = new Data((byte)19,(byte)9,(short)2016);
		/* Indica a data como sendo a data do pedido */
    	Pedido p = new Pedido(1,3,hoje);

		/* Cria 4 objetos do tipo Item */
    	Item i1 = new Item(1215,10, 9.45f);  
    	Item i2 = new Item(1217, 1,21.00f);  
    	Item i3 = new Item(1223, 1,22.05f);  
    	Item i4 = new Item(1249, 3,50.95f);  
      
	  	/* Adiciona os itens ao pedido */
    	p.adicionaItem(i1);
    	p.adicionaItem(i2);
    	p.adicionaItem(i3);
    	p.adicionaItem(i4);
      
		/* Invoca o método toString para o pedido */
    	System.out.println(p);  
	}
} 
